uucpsend(8)

NAME
uucpsend - Alternative frontend for uucp batching

SYNOPSYS
uucpsend [ -c config ] [ -f appendix ] sitename [ sitename ... ]

This program offers a comfortable way to do news batching with the INN news system. Like the name assumes it is used for sites that are connected via UUCP. The idea behind the mechanism is taken from the nntpsend program which is already included in distributions of INN.

The program does not do the batching itself. Instead it lets commonly used tools do the work. However it controls their behaviour. Using uucpsend you can define detailed how batching for each site shall take place in an easy fashion.

In the file uucpsend.ctl(5) for each site your server feeds you can specify the size of batches, the maximal disk space that may be used by the uucp site, the header that should be written in the batch (e.g. funbatch, cunbatch, gunbatch etc.), the compression program to use as well as additional arguments passed to uux(8).

The sitename should be the name of the site as specified in the newsfeeds(5) file. If no sitenames are passed to the program it will loop over all sites that described in the configuration file. This makes it easy to maintain sets of sites that are to be batched one after the other - contrary to batching through the whole day.

A batcher(8) is launched for sites with queued news. Output is sent to the file /var/log/news/uucpsend.log. In order to keep from overwhelming the local system, uucpsend waits five seconds before the next site is fed. Uucpsend expects that the batchfile for a site is named /var/spool/news/out.going/sitename. To prevent batchfile corruption, shlock(1) is used to ``lock'' these files.

It is useful to have cron(8) invoke uucpsend.

When no sites are given on the command line, any flags given on the command completely describe how batcher operate. When no sites are given on the command line, then the information found in uucpsend.ctl becomes the default flags for that sites.

OPTIONS

-f config
    Using this parameter you are able to specify a file different to PATH_UUCPCTL which defaults to /etc/news/uucpsend.ctl.

-f appendix
    With the parameter ``-f'' you may specify another uucpsend.ctl(5) file. Information with regard to also given sitenames are read from the uucpsend.ctl-file. Please keep in mind that all default values are still read from the main uucpsend.ctl file. This feature has been added to let big sites easily specify a different batching behaviour.

HISTORY
Written by Martin Schulze <joey@infodrom.org>, derived mostly from nntpsend(8) by Landon Curt Noll <chongo@toad.com> and Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
innxmit(1), newsfeeds(5), uucpsend.ctl(5), nntppsend(8), nntppsend.ctl(5), shrinkfile(1).